Package jaxe

# Interface InterfaceGestionErreurs

All Known Implementing Classes:
  `GestionErreurs`

public interface InterfaceGestionErreurs
Le gestionnaire d'erreurs affiche les erreurs aux utilisateurs. Il peut être remplacé pour une meilleure gestion d'erreurs, comme avec l'affichage de bulles d'aides.

## Method Summary

Modifier and Type
Method
Description
`void`
`editionInterdite(JaxeElement parent, Element refElement)`
L'utilisateur a essayé d'ajouter un élément dans un élément qui n'est pas éditable
`void`
`enfantInterditSousParent(JaxeElement parent, Element refElement)`
Un enfant n'a pas été inséré parce-qu'il n'est pas autorisé sous le parent
`void`
`insertionImpossible(String expr, JaxeElement parent, Element refElement)`
L'enfant est interdit à cet endroit d'après l'expression régulière de l'élément parent.
`void`
`pasSousLaRacine(Element refElement)`
L'utilisateur a essayé d'ajouter un élément avant ou après la racine
`void`
`texteInterdit(JaxeElement parent)`
Le texte n'est pas autorisé sous cet élément

## Method Details

### pasSousLaRacine

void pasSousLaRacine(Element refElement)
L'utilisateur a essayé d'ajouter un élément avant ou après la racine

Parameters:
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'ajouter

### editionInterdite

void editionInterdite(JaxeElement parent, Element refElement)
L'utilisateur a essayé d'ajouter un élément dans un élément qui n'est pas éditable

Parameters:
  `parent` - L'élément Jaxe édité
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'ajouter

### enfantInterditSousParent

void enfantInterditSousParent(JaxeElement parent, Element refElement)
Un enfant n'a pas été inséré parce-qu'il n'est pas autorisé sous le parent

Parameters:
  `parent` - L'élément Jaxe du parent
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'insérer

### insertionImpossible

void insertionImpossible(String expr, JaxeElement parent, Element refElement)
L'enfant est interdit à cet endroit d'après l'expression régulière de l'élément parent.

Parameters:
  `expr` - Expression régulière de l'élément parent
  `parent` - L'élément Jaxe du parent
  `refElement` - Référence vers l'élément que l'utilisateur a essayé d'insérer

### texteInterdit

void texteInterdit(JaxeElement parent)
Le texte n'est pas autorisé sous cet élément

Parameters:
  `parent` - L'élément Jaxe sous lequel le texte n'est pas autorisé